Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 3322)
+++ palm/trunk/SOURCE/Makefile	(revision 3337)
@@ -25,4 +25,9 @@
 # -----------------
 # $Id$
+# (from branch resler)
+# Add biometeorology
+# 
+# 
+# 3322 2018-10-09 10:02:39Z kanani
 # Formatting and cleanup
 # 
@@ -514,4 +519,5 @@
 	gust_mod.f90 \
 	header.f90 \
+	biometeorology_mod.f90 \
 	inflow_turbulence.f90 \
 	init_3d_model.f90 \
@@ -712,4 +718,5 @@
 	modules.o
 average_3d_data.o: \
+	biometeorology_mod.o \
 	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
@@ -726,4 +733,7 @@
 basic_constants_and_equations_mod.o: \
 	mod_kinds.o
+biometeorology_mod.o: \
+	mod_kinds.o \
+	radiation_model_mod.o
 boundary_conds.o: \
 	basic_constants_and_equations_mod.o \
@@ -764,4 +774,5 @@
 check_parameters.o: \
 	basic_constants_and_equations_mod.o \
+	biometeorology_mod.o \
 	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
@@ -904,4 +915,5 @@
 data_output_3d.o: \
 	basic_constants_and_equations_mod.o \
+	biometeorology_mod.o \
 	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
@@ -1264,4 +1276,5 @@
 netcdf_interface_mod.o: \
 	basic_constants_and_equations_mod.o \
+	biometeorology_mod.o \
 	chemistry_model_mod.o \
 	gust_mod.o \
@@ -1513,4 +1526,5 @@
 sum_up_3d_data.o: \
 	basic_constants_and_equations_mod.o \
+	biometeorology_mod.o \
 	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 3322)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 3337)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! (from resler branch)
+! Add biometeorology output,
+! fix for chemistry output,
+! move of urban surface output
+! 
+! 3294 2018-10-01 02:37:10Z raasch
 ! changes concerning modularization of ocean option
 ! 
@@ -174,4 +180,7 @@
         ONLY:  radiation, radiation_3d_data_averaging
 
+    USE biometeorology_mod,                                                    &
+        ONLY:  biometeorology_3d_data_averaging
+
     USE turbulence_closure_mod,                                                &
         ONLY:  tcm_3d_data_averaging
@@ -203,11 +212,5 @@
     DO  ii = 1, doav_n
 
-!
-!--    Temporary solution to account for data output within the new urban 
-!--    surface model (urban_surface_mod.f90), see also SELECT CASE ( trimvar )
        trimvar = TRIM( doav(ii) )
-       IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
-          trimvar = 'usm_output'
-       ENDIF
 
 !
@@ -533,13 +536,9 @@
              ENDIF
 
-          CASE ( 'usm_output' )
-!             
-!--          Block of urban surface model outputs
-             CALL usm_average_3d_data( 'average', doav(ii) )
-
           CASE DEFAULT
 !
 !--          Averaging of data from other modules
-             IF ( air_chemistry )  THEN
+             IF ( air_chemistry .AND. &
+                  (trimvar(1:3) == 'kc_' .OR. trimvar(1:3) == 'em_')  )  THEN
                 CALL chem_3d_data_averaging( 'average', doav(ii) )
              ENDIF
@@ -565,5 +564,14 @@
              ENDIF
 
+             IF ( radiation  .AND.  trimvar(1:4) == 'bio_' )  THEN
+                CALL biometeorology_3d_data_averaging( 'average', doav(ii) )
+             ENDIF
+
              CALL tcm_3d_data_averaging( 'average', doav(ii) )
+
+             IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
+                CALL usm_average_3d_data( 'average', doav(ii) )
+             ENDIF
+
 !
 !--          User-defined quantities
